#!/usr/bin/python
# A directory example

dict1 = {'fName': 'Edward', 'lName': 'Bigos', 'Office': 617, 'Phone': '413-755-4544'}

print("dict1['fName'] dict1['lName']: ", dict1['fName']," ", dict1['lName'])
print ("dict1['Office']: ", dict1['Office'])
print ("dict1['Phone']: ", dict1['Phone'])

dict2 = {'fName': 'Edward', 'lName': 'Bigos', 'Office': 617, 'Phone': '413-755-4544'}

print("dict2['fName'] dict2['lName']: ", dict2['fName']," ", dict2['lName'])
print ("dict2['Office']: ", dict2['Office'])
print ("dict2['Phone']: ", dict2['Phone'])

print("Lengths:",len(dict1),len(dict2))
print("Types:",type(dict1),type(dict2))

print(str(dict1)," ", type(str(dict1)))
print(str(dict2)," ", type(str(dict2)))

#print(cmp(dict1,dict2))
dict2['Phone'] = "413-000-0000"
dict2['Mobile'] = "413-555-0000"
dict2['email'] = "none@none.com"
print(str(dict2)," ", type(str(dict2)))
